OfflineStatus
API ExplorerOfflineStatus retrieves a list of transactions that were processed offline on the terminal. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/Payment/OfflineStatus" \ -H "Content-Type: application/json" \ -d '{ "PaymentType": "Credit", "ReferenceId": "", "Tpn": "", "RegisterId": "", "Authkey": "", "SPInProxyTimeout": null, "CustomFields": {} }'{
"Transactions": [
{
"TransactionDateTime": "",
"GeneralResponse": {
"HostResponseCode": "",
"HostResponseMessage": "",
"ResultCode": "0",
"StatusCode": "0000",
"Message": "",
"DetailedMessage": "",
"DelayBeforeNextRequest": null
},
"PaymentType": "Credit",
"TransactionType": "",
"Amounts": {
"TotalAmount": null,
"Amount": null,
"TipAmount": null,
"FeeAmount": null,
"TaxAmount": null
},
"AuthCode": "",
"ReferenceId": "",
"InvoiceNumber": "",
"SerialNumber": "",
"BatchNumber": "",
"TransactionNumber": "",
"Voided": false,
"Signature": "",
"IPosToken": "",
"Token": "",
"RRN": "",
"PNReferenceId": "",
"MerchantNumber": null,
"MerchantName": "",
"ExtendedDataByApplication": {},
"CardData": {
"CardType": "",
"EntryType": "",
"Last4": "",
"First4": "",
"BIN": "",
"ExpirationDate": "",
"Name": "",
"CardBrand": ""
},
"EMVData": {
"ApplicationName": "",
"AID": "",
"TVR": "",
"TSI": "",
"IAD": "",
"ARC": ""
},
"Receipts": {
"Customer": "",
"Merchant": ""
},
"L2L3ValidationError": {
"Description": "",
"PoNumber": "",
"PurchaseIdentifier": "",
"SummaryCommodityCode": "",
"LineItemCount": "",
"TaxAmount": "",
"Quantity": "",
"UnitOfMeasure": "",
"UnitCost": "",
"TaxRate": "",
"DiscountAmount": "",
"DebitCreditIndicator": "",
"ExtLineAmount": "",
"QuantityExpIndicator": "",
"UnitPriceDecimal": ""
},
"AutoRentalValidationError": {
"AdjustmentAmount": "",
"AdjustmentAuditIndicatorCode": "",
"AgreementReferenceNumber": "",
"PickupAddress": "",
"PickupCity": "",
"PickupCountry": "",
"PickupCountryCode": "",
"PickupDate": "",
"PickupLocation": "",
"PickupRegionCode": "",
"PickupState": "",
"RentalDistance": "",
"RentalDistanceUnitofMeasure": "",
"RentalDuration": "",
"RentalPeriod": "",
"RentalRate": "",
"RentalTime": "",
"ReturnAddress": "",
"ReturnDate": "",
"ReturnLocationId": "",
"ReturnRegionCode": "",
"ReturnStateCountry": "",
"ReturnTime": "",
"ServiceMobile": "",
"VehicleMake": "",
"VehicleModel": ""
}
}
],
"GeneralResponse": {
"ResultCode": "0",
"StatusCode": "0000",
"Message": "",
"DetailedMessage": "",
"DelayBeforeNextRequest": null
}
}{
"GeneralResponse": {
"ResultCode": "0",
"StatusCode": "0000",
"Message": "",
"DetailedMessage": "",
"DelayBeforeNextRequest": null
}
}